Setting API Reference
Setting and Plugins Management Service
Account Settings
Manage account settings for user preferences and configurations,
including retrieval and updating of settings.
get /account_settings/{resource_id} - show
Description
Show a specific setting:account_settings
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
| included | query | array | Optional | - |
| fields | query | string | Optional | - |
Response
Successful response
patch /account_settings/{resource_id} - update
Description
Update a setting:account_settings
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
Request Body
Response
Successful response
get /account_settings - index
Description
Return a paginated list of setting:account_settings
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| page[number] | query | integer | Optional | The page number, default to 1 |
| page[size] | query | integer | Optional | The number of items per page, default to 1000 |
| sort | query | string | Optional | The sort order, comma separated list of fields. See sorting section for more details |
| count | query | boolean | Optional | Set to true to return the total number of items in the collection |
| filter[id] | query | any | Optional | - |
| filter[account_id] | query | any | Optional | - |
| filter[key] | query | any | Optional | - |
| filter[plugin] | query | any | Optional | - |
| filter[value] | query | any | Optional | - |
| filter[account_id] | query | any | Optional | - |
| filter[key] | query | any | Optional | - |
| fields | query | string | Optional | The fields to include in the response. |
Response
Successful response
Plugins
Manage and serve plugins within the system, including
listing available modalities, retrieving modality details,
and serving plugin assets and files.
get /plugins/modalities - modalities
Response
Successful response
get /plugins/modalities/{modality_name} - show_modality
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| modality_name | path | string | Required | - |
Response
Successful response
get /plugins/{plugin}/assets/* - serve_asset
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| plugin | path | string | Required | - |
| splat | query | array | Required | - |
Response
No content
get /plugins/{plugin}/files/{filename} - serve
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| plugin | path | string | Required | - |
| filename | path | string | Required | - |
Response
No content